## org.apache.aries.subsystem.core.internal
Class InstallAction

    java.lang.Object
      org.apache.aries.subsystem.core.internal.InstallAction

All Implemented Interfaces:
  PrivilegedAction<BasicSubsystem>

    public class InstallAction

extends Object
implements PrivilegedAction<BasicSubsystem>

Constructor Summary
`InstallAction(String location, org.apache.aries.util.filesystem.IDirectory content, BasicSubsystem parent, AccessControlContext context)`
`InstallAction(String location, org.apache.aries.util.filesystem.IDirectory content, BasicSubsystem parent, AccessControlContext context, org.osgi.service.coordinator.Coordination coordination, boolean embedded)`

Method Summary
`BasicSubsystem` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallAction

    public InstallAction(String location,
                         org.apache.aries.util.filesystem.IDirectory content,
                         BasicSubsystem parent,
                         AccessControlContext context)

### InstallAction

    public InstallAction(String location,
                         org.apache.aries.util.filesystem.IDirectory content,
                         BasicSubsystem parent,
                         AccessControlContext context,
                         org.osgi.service.coordinator.Coordination coordination,
                         boolean embedded)

Method Detail

### run

    public BasicSubsystem run()

  Specified by:
    `run` in interface `PrivilegedAction<BasicSubsystem>`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.